<template>
  <div class="contact">
    <hr>
    <p>Kontaktovat mě můžete pomocí...</p>
    <a href="https://www.facebook.com/daniel.springl" target="_blank">
      <img src="../assets/img/facebook.png" alt="Facebook">
    </a>
    <a href="https://www.linkedin.com/in/danielspringl/" target="_blank">
      <img src="../assets/img/linkedin.png" alt="LinkedIn">
    </a>

    <transition name="fade">
      <div key="1" v-if="!formSent">
        <p>Nebo přes tento formulář...</p>
        <p class="error" v-if="showError">
          Došlo k problému s odesíláním formuláře.
          <br>Zkuste jej odeslat prosím znovu, případně použijte jinou komunikační metodu.
        </p>
        <form @submit.prevent="sendForm()">
          <div>
            <input type="text" v-model="form.name" placeholder="Vaše jméno" required>
            <input type="email" v-model="form.email" placeholder="E-mail" required>
          </div>
          <div>
            <textarea v-model="form.message" placeholder="Zpráva" required></textarea>
          </div>
          <span><em>Zadané informace budou zpracovávány za účelem zodpovězení dotazu.</em></span>
          <br>
          <br>
          <input type="submit" value="Odeslat zprávu">
        </form>
      </div>
      <div key="2" v-else>
        <p class="response">Děkuji za zaslání zprávy! Odpovím na ni co nejdříve to bude možné.</p>
      </div>
    </transition>
  </div>
</template>

<script>
export default {
  name: "Contact",
  data: function() {
    return {
      form: {
        name: "",
        email: "",
        message: ""
      },
      formSent: false,
      postUrl: "https://misc.danielspringl.cz/ajax/send-web-form",
      showError: false
    };
  },
  methods: {
    sendForm: function() {
      if (
        this.form.name == "" ||
        this.form.email == "" ||
        this.form.message == ""
      ) {
        return;
      }
      var self = this;
      this.axios
        .post(
          this.postUrl,
          {
            name: this.form.name,
            email: this.form.email,
            message: this.form.message
          },
          {
            headers: {
              "content-type": "application/x-www-form-urlencoded;charset=utf-8"
            }
          }
        )
        .then(function() {
          self.formSent = true;
          self.form.name = "";
          self.form.email = "";
          self.form.message = "";
          setTimeout(function() {
            self.formSent = false;
          }, 10000);
        })
        .catch(function() {
          self.showError = true;
          setTimeout(function() {
            self.showError = false;
          }, 10000);
        });
    }
  }
};
</script>

<style scoped>
.contact {
  margin-top: 40px;
}
p {
  margin-top: 30px;
  font-weight: bold;
  font-style: italic;
}
form {
  margin-top: 30px;
}
input,
textarea {
  font-family: "Raleway", sans-serif;
  font-weight: bold;
  font-size: 16px;
  color: #000000;
  border: 0;
  border-bottom: 1px solid #2493a7;
}
input[type="text"],
input[type="email"],
textarea {
  width: 250px;
  height: 30px;
  margin: 0 10px 20px 10px;
}
input:focus,
textarea:focus {
  outline: none;
}
textarea {
  width: 520px;
  height: 60px;
  resize: none;
}
@media (max-width: 899px) {
  textarea {
    width: 250px;
  }
}
input[type="submit"] {
  background: #2493a7;
  cursor: pointer;
  width: 140px;
  height: 50px;
  color: #ffffff;
  border: 1px solid #2493a7;
}
input[type="submit"]:hover {
  background: none;
  cursor: pointer;
  color: #000000;
}
.response {
  height: 60px;
  color: #2493a7;
  font-size: 20px;
}
.error {
  height: 60px;
  color: #8d1404;
  font-weight: bold;
}
::placeholder {
  color: #2493a7;
}
.fade-enter-active,
.fade-leave-active {
  transition: opacity 1s;
}
.fade-enter,
.fade-leave-to {
  opacity: 0;
}
img {
  height: 60px;
  width: 60px;
  -webkit-border-radius: 25%;
  -moz-border-radius: 25%;
  border-radius: 25%;
  border: 1px solid #2493a7;
  margin: 0 10px 0 10px;
}
img:hover {
  background: #2c2e30;
  border: 1px solid #2c2e30;
}
</style>
